Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: YaST2 Stopped Being Able to Install Packages

  1. #1

    Default YaST2 Stopped Being Able to Install Packages

    Whenever I try to install.... anything using YaST I get this error. I'm using KDE 4.4.

    Subprocess failed. Error: RPM failed: error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index

    This particular one is from trying to install VLC from the VLC Repo. But I've gotten it when trying to install things from OpenSUSE OSS / Non-OSS repos, etc.

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,729
    Blog Entries
    20

    Default Re: YaST2 Stopped Being Able to Install Packages

    Clarify please:
    Is this in the running software manager or actually when you try starting it?

    What do you have for

    Code:
    zypper lr -d
    And are you able to install with zypper Eg;
    zypper in <application_name>
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3

    Default Re: YaST2 Stopped Being Able to Install Packages

    I can get into the Software manager and browse repos A-Ok, it's when I try to apply changes and it tries to download / install the packages that the error occurs. Terminal outputs:
    Code:
    matt@matt:~> zypper lr -d
    #  | Alias                               | Name                        | Enabled | Refresh | Priority | Type   | URI                                                                                                | Service                                                          
    ---+-------------------------------------+-----------------------------+---------+---------+----------+--------+----------------------------------------------------------------------------------------------------+--------                                                          
    1  | ATI                                 | ATI                         | Yes     | Yes     |   97     | rpm-md | http://www2.ati.com/suse/11.2/                                                                     |                                                                  
    2  | Java                                | Java                        | Yes     | Yes     |   97     | rpm-md | http://download.opensuse.org/repositories/Java:/packages/openSUSE_11.2/                            |                                                                  
    3  | KDE_UNSTABLE                        | KDE UNSTABLE                | Yes     | Yes     |   97     | rpm-md | http://download.opensuse.org/repositories/KDE:/KDE4:/Factory:/Desktop/openSUSE_11.2/               |                                                                  
    4  | KDE_UNSTABLE_PACKAGES               | KDE UNSTABLE PACKAGES       | Yes     | Yes     |   97     | rpm-md | http://download.opensuse.org/repositories/KDE:/KDE4:/Community/openSUSE_11.2_KDE4_Factory_Desktop/ |                                                                  
    5  | Mozilla                             | Mozilla                     | Yes     | Yes     |   97     | rpm-md | http://download.opensuse.org/repositories/mozilla/openSUSE_11.2/                                   |                                                                  
    6  | Packman                             | Packman                     | Yes     | Yes     |   98     | rpm-md | http://packman.unixheads.com/suse/11.2/                                                            |                                                                  
    7  | VLC                                 | VLC                         | Yes     | Yes     |   97     | rpm-md | http://download.videolan.org/pub/vlc/SuSE/11.2                                                     |                                                                  
    8  | http-download.opensuse.org-4ffd44f0 | Updates for openSUSE 11.2-0 | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/11.2/                                                          |                                                                  
    9  | repo-non-oss                        | openSUSE-11.2-Non-Oss       | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/11.2/repo/non-oss/                                       |                                                                  
    10 | repo-oss                            | openSUSE-11.2-Oss           | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/11.2/repo/oss/                                           |                                                                  
    11 | repo-source                         | openSUSE-11.2-Source        | No      | Yes     |   99     | NONE   | http://download.opensuse.org/source/distribution/11.2/repo/oss/                                    |                                                                  
    matt@matt:~> sudo zypper in vlc                                                              
    root's password:                                                                                                                       
    Loading repository data...                                                                                                             
    Reading installed packages...                                                                                                          
    Resolving package dependencies...                                                                                                      
    
    The following NEW packages are going to be installed:
      libvlc2 vlc vlc-gnome vlc-noX vlc-qt
    
    5 new packages to install.
    Overall download size: 7.9 MiB. After the operation, additional 28.9 MiB will be used.
    Continue? [y/n/?] (y): y
    Retrieving package libvlc2-1.0.4-1.54.x86_64 (1/5), 49.0 KiB (120.0 KiB unpacked)
    Retrieving: libvlc2-1.0.4-1.54.x86_64.rpm [done]
    Installing: libvlc2-1.0.4-1.54 [error]
    Installation of libvlc2-1.0.4-1.54 failed:
    (with --nodeps --force) Error: Subprocess failed. Error: RPM failed: error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    
    
    Abort, retry, ignore? [a/r/i] (a): a
    Problem occured during or after installation or removal of packages:
    Installation aborted by user
    
    Please see the above error message for a hint.

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,729
    Blog Entries
    20

    Default Re: YaST2 Stopped Being Able to Install Packages

    Unrelated I think to your problem, but I must correct you here. All your repo priorities are wrong. In 11.2 you can set them all to 99, some including me set Packman to 90 which gives it priority over all the others. But all 99 would be OK. VideoLan should be removed if you have installed libdvdcss because that is all you need from that repo.
    See this
    Multi-media and Restricted Format Installation Guide - openSUSE Forums

    Finally you should do this
    http://tinyurl.com/yejwull
    ----------------------------------------------------

    Back to issue:

    Remove all repos and add them back in, except VLC!

    try using mirrors for some of them - where you can do so.
    openSUSE Download Mirrors - 11.2

    FYI: What you list as KDE Unstable are actually not unstable but provide kde4.4 RC1

    See if this helps
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  5. #5

    Default Re: YaST2 Stopped Being Able to Install Packages

    So, I did as you said and began by completely removing all my repos. I then added three back (ATI, VLC and Packman) in order to grab libdvdcss, and switch my system packages to packman (I haven't yet put packman to priority 90). I click apply and again:

    Code:
    Subprocess failed. Error: RPM failed: warning: /var/cache/zypp/packages/Packman_2/x86_64/libvlccore2-1.0.4-0.pm.8.13.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID 9a795806
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    And for zypper lr -d I get:

    Code:
    matt@matt:~> zypper lr -d
    # | Alias     | Name    | Enabled | Refresh | Priority | Type   | URI                                            | Service
    --+-----------+---------+---------+---------+----------+--------+------------------------------------------------+--------
    1 | ATI_1     | ATI     | Yes     | Yes     |   99     | rpm-md | http://www2.ati.com/suse/11.2/                 |
    2 | Packman_2 | Packman | Yes     | Yes     |   99     | rpm-md | http://packman.unixheads.com/suse/11.2/        |
    3 | VLC_1     | VLC     | Yes     | Yes     |   99     | rpm-md | http://download.videolan.org/pub/vlc/SuSE/11.2 |

  6. #6
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,729
    Blog Entries
    20

    Default Re: YaST2 Stopped Being Able to Install Packages

    You need to add
    oss
    non-oss
    update

    then in a su terminal

    Code:
    cd /var/lib/rpm
    Code:
    rm -f __db*
    Code:
    rpm -qa -vv
    should fix (and verify) the problem

    Try yast again
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  7. #7

    Default Re: YaST2 Stopped Being Able to Install Packages

    I added the OSS, Non-OSS and Update repositories, refreshed, and then closed YaST. Then here's the output of the commands you gave me: Bash pastebin - collaborative debugging tool and then I finally went back into YaST, and tried to switch to Packman yet again, and am still presented with the same error:

    Code:
    Subprocess failed. Error: RPM failed: warning: /var/cache/zypp/packages/Packman_2/x86_64/x264-0.0svn20100101-0.pm.1.2.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID 9a795806
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) setting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) setting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) setting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) setting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) setting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) setting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) setting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) setting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) setting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) setting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) setting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index
    error: db4 error(-30987) from dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
    error: error(-30987) getting "" records from Requireversion index

  8. #8
    Join Date
    Jun 2008
    Location
    wichita
    Posts
    921

    Default Re: YaST2 Stopped Being Able to Install Packages

    caf4926, isn't this an rpm database problem? Doesn't

    Code:
    rm -f /var/lib/rpm/__db*
    db_verify /var/lib/rpm/Packages
    rpm --rebuilddb
    fix this?

    Just to verify, __db*, means two underscores before the db*.

  9. #9
    Join Date
    Jun 2008
    Location
    Sarasota, Florida usa
    Posts
    807

    Default Re: YaST2 Stopped Being Able to Install Packages

    Quote Originally Posted by pilotgi View Post
    caf4926, isn't this an rpm database problem? Doesn't

    Code:
    rm -f /var/lib/rpm/__db*
    db_verify /var/lib/rpm/Packages
    rpm --rebuilddb
    fix this?

    Just to verify, __db*, means two underscores before the db*.
    I was just going to suggest this but it came up just as I was logging in

  10. #10

    Default Re: YaST2 Stopped Being Able to Install Packages

    Quote Originally Posted by pilotgi View Post
    caf4926, isn't this an rpm database problem? Doesn't

    Code:
    rm -f /var/lib/rpm/__db*
    db_verify /var/lib/rpm/Packages
    rpm --rebuilddb
    fix this?

    Just to verify, __db*, means two underscores before the db*.
    This seems to have done the trick. Thanks so much!

    /me spreads some reputation around. Thanks all of you!

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •